none
Cannot modify a stored procedure. RRS feed

  • Question

  • When I try to open a Stored Procedure in AdventureWorks2017 DB by clicking on Modify I get an error message: Invalid Version: 15. I have SQL Server 2017 Developer. Its version is 15.0.2070.41. I want to modify some of the Stored Procedure and create new ones this way.

    Why do I have this error?

    Thanks, - MyCatAlex

    Saturday, December 14, 2019 8:51 PM

Answers

  • Which SSMS version do you have? Please try installing the latest SSMS from here

    If the response helped, do "Mark as answer" and upvote it
    - Vaibhav

    • Marked as answer by MyCatAlex Sunday, December 15, 2019 8:25 PM
    Sunday, December 15, 2019 2:13 PM

All replies

  • Which SSMS version do you have? Please try installing the latest SSMS from here

    If the response helped, do "Mark as answer" and upvote it
    - Vaibhav

    • Marked as answer by MyCatAlex Sunday, December 15, 2019 8:25 PM
    Sunday, December 15, 2019 2:13 PM
  • It looks you may be correct. My SSMS has version 14. Will try to install a newer version.

    Thanks, - MyCatAlex

    Sunday, December 15, 2019 5:22 PM
  • Which SSMS version do you have? Please try installing the latest SSMS from here

    If the response helped, do "Mark as answer" and upvote it
    - Vaibhav

    You are correct! Now I can open and edit Stored Procedures. Thank you,

    - MyCatAlex

    Sunday, December 15, 2019 8:25 PM